# Copyright (C) 1996,1997 Robert H”hne, see COPYING.RH for details 
# This file is part of RHIDE. 

srcdir=$(RHIDESRC)/libset/doc
VPATH=$(srcdir)

project=

po_files=
src_files=$(po_files) GNUmakefile makefile makefile.src\
	c.bat editor.tx infeng.tx makefile.ed makefile.sdg makefile.set\
	readme.1st sdg.tx sdh.c set.htm set.txi set.txt infger.txi\
	infspa.txi
cfg_files=
update_files=

subdirs=
po_subdirs=

install_doc_files=editor.txt editor.html
install_info_files=editor.inf infview.inf infview.eng infview.ger\
	           infview.spa

include $(RHIDESRC)/common.mak

doc_suffixes=.inf .txt .dvi .html .ps

$(addprefix editor,$(doc_suffixes))\
$(addprefix infeng,$(doc_suffixes))\
all doc info dvi txt text ps::
	$(MAKE) -f $(srcdir)/makefile $(FLAGS_TO_PASS) \
	  incdir=$(RHIDESRC)/doc srcdir=$(srcdir) $@

infview.inf: infview.eng
	cp $< $@

infview.eng: infeng.tx
	makeinfo --no-split -o $@ $<

infview.ger: infger.txi
	makeinfo --no-split -o $@ $<

infview.spa: infspa.txi
	makeinfo --no-split -o $@ $<

info:: $(addprefix infview.,eng ger spa inf)
